curl --request POST \
--url https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-raw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"sourceLocale": "en",
"targetLocale": "de"
}
'import requests
url = "https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-raw"
payload = {
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"sourceLocale": "en",
"targetLocale": "de"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storageId: 'e48eda63928c4155bez9fdbsaadc15f3',
sourceLocale: 'en',
targetLocale: 'de'
})
};
fetch('https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-raw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}Convert stored XLIFF back to raw Optimizely content synchronously
Convert a translated XLIFF (referenced by storageId) back into Optimizely’s raw
content format without writing it to Optimizely. The result is stored in Phrase file
storage and returned as a storageId you can then push with upload-raw-file.
Use this when the upload step is decoupled from the conversion step (e.g. for a preview/review gate).
Authorizations
IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer
Headers
A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.
Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.
ID, OBJECT Body
Request body for converting a stored XLIFF back into Optimizely's raw content format without writing it to Optimizely. The result lands in Phrase file storage as a new storageId you can then push with upload-raw-file.
Storage ID of the translated XLIFF file to convert.
"e48eda63928c4155bez9fdbsaadc15f3"
Source locale embedded in the XLIFF (Optimizely locale code).
"en"
Target locale the XLIFF was translated into.
"de"
Response
OK — raw binary stream (returned when X-ResponseType=OBJECT).
The response is of type file.
Was this page helpful?